<!DOCTYPE HTML>

<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" type="text/css" />
    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js" type="text/javascript"></script>
    <!-- Popper JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" type="text/javascript"></script>
    <!-- Latest compiled JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" type="text/javascript"></script>
    <!-- Moment JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js" type="text/javascript"></script>
    <!-- Chart JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.3/Chart.bundle.min.js" type="text/javascript"></script>
    <!-- FlipClock JS -->
    <script src="{{url_for('static', filename='js/flipclock.js')}}" type="text/javascript"></script>
    <!-- SocketIO JS library to connect bakc flask socketio -->
    <script src="//cdnjs.cloudflare.com/ajax/libs/socket.io/2.2.0/socket.io.js" integrity="sha256-yr4fRk/GU1ehYJPAs8P4JlTgu0Hdsp4ZKrx8bDEDC3I=" crossorigin="anonymous"></script>

    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">

    <!-- FlipClock CSS -->
    <link rel="stylesheet" href="{{url_for('static', filename='css/flipclock.css')}}">

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Lobster" rel="stylesheet">

    <!-- Own style sheets -->
    <link rel="stylesheet" href="{{url_for('static', filename='css/main.css')}}" type="text/css" />
    <link rel="stylesheet" href="{{url_for('static', filename='css/movingbubbles.css')}}" type="text/css" />

    <!-- Own javascript -->
    <script src="{{url_for('static', filename='js/utils.js')}}" type="text/javascript"></script>
    <script src="{{url_for('static', filename='js/movingbubbles.js')}}" type="text/javascript"></script>
    <script src="{{url_for('static', filename='js/wcattendance.js')}}" type="text/javascript"></script>

    <!--  Favicon -->
    <link rel="icon" href="{{url_for('static', filename='img/favicon.ico')}}" type="image/x-icon"/>

    <title>Harpic WC</title>
</head>

<body>
<div class="vertical-center" >
    <div class="container">

        <div class="row mt-2">
            <div class="col-10 mx-auto">
                <div class="col-md-18">
                    <div class="jumbotron text-center" style="padding-bottom: 0; padding-top: 0;">
                        <div style="font-family: 'Lobster', cursive; font-size: 190%;">
                            Les WC sont <span id="wc-status"></span> ! <i id="wc-toilet-paper" class="fas fa-toilet-paper"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-2">
            <div class="col-10 mx-auto">
                <div class="col-md-18">
                    <div class="jumbotron text-center" style="padding-bottom: 0; padding-top: 0;">
                        <div class="row" style="font-family: 'Lobster', cursive; font-size: 100%;">
                            <div class="col-md text-left">
                                <i class="fas fa-tint"></i> <span id="humidity"></span> %
                            </div>
                            <div class="col-md text-center">
                                <i class="fas fa-cloud"></i> <span id="pressure"></span> Pa
                            </div>
                            <div class="col-md text-right">
                                <i class="fas fa-thermometer-three-quarters"></i> <span id="temperature"></span> °
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-2">
            <div class="col-10 mx-auto">
                <div class="col-md-18">
                    <div class="jumbotron text-center">
                        <div style="font-family: 'Lobster', cursive; font-size: 180%;">Pee chart <i class="fas fa-water"></i></div>
                        <canvas id="peeCanvas" width="400" height="200"></canvas>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-2">
            <div class="col-10 mx-auto">
                <div class="col-md-18">
                    <div class="jumbotron text-center">
                        <div style="font-family: 'Lobster', cursive; font-size: 180%;">Poop chart <i class="fas fa-poo"></i></div>
                        <canvas id="poopCanvas" width="400" height="200"></canvas>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-2">
            <div class="col-10 mx-auto">
                <div class="col-md-18">
                    <div class="jumbotron text-center" style="padding-bottom: 0; padding-top: 0;">
                        <div class="row" style="font-family: 'Lobster', cursive; font-size: 100%;">
                            <div class="col-md text-left">
                                <i class="fas fa-calendar-alt"></i> <span id="datetime"></span>
                            </div>
                            <div class="col-md text-right">
                                <div id="footer-text">Your ass is gonna smile !</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<script src="//cdnjs.cloudflare.com/ajax/libs/socket.io/2.2.0/socket.io.js" integrity="sha256-yr4fRk/GU1ehYJPAs8P4JlTgu0Hdsp4ZKrx8bDEDC3I=" crossorigin="anonymous"></script>
<script type="text/javascript" charset="utf-8">
window.onload = function() {

    bubbleOptions.update();

    window.setInterval(function(){
        document.getElementById('datetime').innerHTML = moment().format('MMMM Do YYYY, HH:mm:ss');
    }, 1000);

    //connect to the socket server.
    var socket = io.connect('http://' + document.domain + ':' + location.port + '/socket');

    //receive details from server
    socket.on('socket', function(msg) {

        console.log(msg);
        document.getElementById('temperature').innerHTML = msg.temperature;
        document.getElementById('humidity').innerHTML = msg.humidity;
        document.getElementById('pressure').innerHTML = msg.pressure;

        var toiletPaper = document.getElementById('wc-toilet-paper');
        var toiletText = document.getElementById('wc-status');

        if('occupied' == msg.state) {
            if(toiletPaper.classList.contains('text-success')) {
                toiletPaper.classList.remove('text-success');
            }
            toiletPaper.classList.add('text-danger');
            toiletText.innerHTML = 'occupés';
        } else if('free' == msg.state){
            if(toiletPaper.classList.contains('text-danger')) {
                    toiletPaper.classList.remove('text-danger');
            }
            toiletPaper.classList.add('text-success');
            toiletText.innerHTML = 'libres';
        } else {
            toiletText.innerHTML = 'dans un état indéterminé';
            if(toiletPaper.classList.contains('text-danger')) {
                toiletPaper.classList.remove('text-danger');
            }
            if(toiletPaper.classList.contains('text-success')) {
                toiletPaper.classList.remove('text-sucess');
            }
        }
    });

    socket.on( 'chart', function(msg) {
        if(msg.hasOwnProperty('pee')) {
            console.log('Update pee chart !');
            $('#peeCanvas').timeChartline().display(JSON.parse(msg.pee), 'pee', 'On a fait pipi !', 'yellow');
        } else if(msg.hasOwnProperty('poop')) {
            console.log('Update poop chart !');
            $('#poopCanvas').timeChartline().display(JSON.parse(msg.poop), 'poop', 'On a fait caca !', 'saddlebrown');
        }
    });

    socket.on('connect', function(msg) {
        console.log('This is emitted when the socket client is connected to the server');
        socket.emit( 'onpageload', {data: 'User Connected'});
    });
};
</script>

</body>

</html>
